/*------------------------------------------------------------------------
 |  FILE            Util.java
 |  PART OF         Sverre's Simple JDBC Driver for PostgreSQL
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

package no.shhsoft.postgresql;

import java.util.*;

/**
 *
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: Util.java,v 1.3 2002/02/05 22:54:26 sverrehu Exp $
 */
public final class Util {
/*-----------------------------------------------------------------------+
|  PRIVATE PART                                                          |
+-----------------------------------------------------------------------*/
    private Util() {
    }

/*-----------------------------------------------------------------------+
|  PUBLIC INTERFACE                                                      |
+-----------------------------------------------------------------------*/
    /**
     * Converts a string to its lower case equivalent.  Uses a method
     * that seems to gain some speed on IBM's JDK 1.1.8 on Linux, compared
     * to the normal String.toLowerCase.
     *
     * @param      str     the string to convert to lower case.
     * @return     A lower case version of the input string.
     * @author     Sverre H. Husbey
     */
    public static String toLowerCase(String str) {
        int  q;
        char c;

        for (q = str.length() - 1; q >= 0; q--) {
            c = str.charAt(q);
            if (Character.toLowerCase(c) != c)
                return str.toLowerCase();
        }
        return str;
    }
}
